<?php
/**
 * All settings related to main banner post.
 *
 * @package NextZenMag
 */
$wp_customize->add_section(
	'main_banner_post',
	array(
		'title' => esc_html__( 'Main Banner Section', 'nextzenmag' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'nextzenmag_options[enable_main_banner_section]',
    array(
        'default'           => $nextzenmag_default['enable_main_banner_section'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_main_banner_section]',
    array(
        'label'       => esc_html__( 'Enable Main Banner', 'nextzenmag' ),
        'section'     => 'main_banner_post',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'nextzenmag_section_seperator_banner_column_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_banner_column_1',
        array(
            'label'         => esc_html__( 'Banner Column - 1', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_banner_column_1',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[banner_grid_post_category]',
    array(
        'default'           => $nextzenmag_default['banner_grid_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[banner_grid_post_category]',
        array(
            'label'           => __( 'Choose Grid Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'main_banner_post',
        )
    )
);




$wp_customize->add_setting(
    'nextzenmag_section_seperator_banner_column_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_banner_column_2',
        array(
            'label'         => esc_html__( 'Banner Column - 2', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_banner_column_2',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[banner_list_post_title]',
    array(
        'default'           => $nextzenmag_default['banner_list_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[banner_list_post_title]',
    array(
        'label'    => __( 'Banner List Post', 'nextzenmag' ),
        'section'  => 'main_banner_post',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[banner_list_post_category]',
    array(
        'default'           => $nextzenmag_default['banner_list_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[banner_list_post_category]',
        array(
            'label'           => __( 'Choose List Post Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'main_banner_post',
        )
    )
);





$wp_customize->add_setting(
    'nextzenmag_section_seperator_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_banner',
        array(
            'label'         => esc_html__( 'Banner Section Meta', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_banner',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_author_meta]',
    array(
        'default' => $nextzenmag_default['enable_banner_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_author_meta]',
    array(
        'default' => $nextzenmag_default['select_banner_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => nextzenmag_author_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[banner_author_meta_title]',
    array(
        'default' => $nextzenmag_default['banner_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[banner_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_date_meta]',
    array(
        'default' => $nextzenmag_default['enable_banner_date_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_date]',
    array(
        'default' => $nextzenmag_default['select_banner_date'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => nextzenmag_date_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_date_meta_title]',
    array(
        'default' => $nextzenmag_default['select_banner_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_date_format]',
    array(
        'default' => $nextzenmag_default['select_banner_date_format'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => nextzenmag_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_category_meta]',
    array(
        'default' => $nextzenmag_default['enable_banner_category_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_number_of_category]',
    array(
        'default' => $nextzenmag_default['select_banner_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_number_of_category]',
    array(
        'label' => __('Number of Category', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[banner_category_label]',
    array(
        'default' => $nextzenmag_default['banner_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[banner_category_label]',
    array(
        'label' => __('Category Label', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[select_banner_category_color]',
    array(
        'default' => $nextzenmag_default['select_banner_category_color'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'nextzenmag'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => nextzenmag_category_color(),
    )
);